static rnd_hid_cfg_mod_t mbtk_mb2cfg(int btn)
{
	switch(btn) {
		case 1: return RND_MB_LEFT;
		case 2: return RND_MB_MIDDLE;
		case 3: return RND_MB_RIGHT;
		case 4: return RND_MB_SCROLL_UP; /* well, mbtk delivers scroll differently, so these two won't happen */
		case 5: return RND_MB_SCROLL_DOWN;
	}
	return 0;
}

static int mbtk_button_event(rnd_mbtk_t *mctx, mbtk_event_t *ev)
{
	mctx->have_xy = 1;
	mctx->action_x = ev->data.mouse.x;
	mctx->action_y = ev->data.mouse.y;
	if (!mctx->need_xy)
		return 0;
/*	if (w != work_area)
		return 1;*/
	if (mctx->block_xy)
		return 1;
	return 0;
}
